<template>
  <div class="layout-padding">
    <div class="layout-padding-auto layout-padding-view">
      <el-tabs v-model="activeName" @tab-click="handleTabClick">
        <el-tab-pane label="初中生" name="tab">
          <AreaStaticByCZ ref="tabIndexRef" />
        </el-tab-pane>
      </el-tabs>
    </div>
  </div>
</template>

<script setup lang="ts" name="recruitstudentsignup-areaStatic">
import { ref, defineAsyncComponent, nextTick } from 'vue'

const AreaStaticByCZ = defineAsyncComponent(() => import('./areaStaticByCZ.vue'))

// 状态
const activeName = ref('tab')
const tabIndexRef = ref()

// Tab 切换
const handleTabClick = (tab: any) => {
  if (tab.paneName === 'tab') {
    nextTick(() => {
      tabIndexRef.value?.init()
    })
  }
}
</script>

